Subject: Re: [PATCH] driver core: Suppress sysfs warnings for device_rename().

From: Greg KH <[email-masked]>
Date: Tue, 20 May 2008 15:52:07 -0700

On Tue, May 20, 2008 at 02:45:08PM -0700, Stephen Hemminger wrote:
> On Tue, 20 May 2008 12:59:13 +0200
> Cornelia Huck <[email-masked]> wrote:
> 
> > OK, here is an actually-compiled patch with proper description and
> > s-o-b. Comments?
> > 
> > -----
> > 
> > driver core: Suppress sysfs warnings for device_rename().
> > 
> > Renaming network devices to an already existing name is not
> > something we want sysfs to print a scary warning for, since the
> > callers can deal with this correctly. So let's introduce
> > sysfs_create_link_nowarn() which gets rid of the common warning.
> > 
> > Signed-off-by: Cornelia Huck <[email-masked]>
> >
> 
> This is still getting to be overkill. I prefer that the warnings
> always are removed.

No, I do not.  They have found a lot of real bugs that have been going
unnoticed for quite some time, and some new ones (like the current mess
in the pci hotplug subsystem where two different drivers are controlling
the same pci hotplug slots and not realizing it at all.)

So having the warning gone for rename() is fine, but I still want it
there for new files that are being added to the system.

thanks,

greg k-h